#!/usr/bin/env bash
set -e
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source $(pwd)/config/configuration

run_deploy_command(){
    OUTPUT=$(run_deploy_command_no_capture ${@})
    retval=$?
    if [ $retval -ne 0 ]; then
        echo $OUTPUT
        echo "ERROR!"
        exit $retval
    fi
    echo $OUTPUT | tr -d '\r'
}

run_deploy_command_no_capture(){
    env $(echo $ENV_VARS | sed 's/+ //g') /deployment/deploy/helpers/commands.py ${@}

    retval=$?
    if [ $retval -ne 0 ]; then
        echo "ERROR!"
        exit $retval
    fi
}
