#!/usr/bin/env bash

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source $(pwd)/config/configuration
source /deployment/deploy/helpers/run_command.sh

export SERVICE_NAME=$( echo $SERVICE_NAME | tr "." _ )
export SERVICE_LABEL=${SERVICE_LABEL:-blue}
CLUSTER="$ENV-gateway-ecs"

run_deploy_command_no_capture task_status_report $CLUSTER $SERVICE_NAME $SERVICE_LABEL