#!/usr/bin/env bash
set -e
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source $(pwd)/config/configuration

if [ ! -z "${AWS_ACCESS_KEY_ID_PROD}" ]; then
    if [[ $ENV == *prod* ]] || [[ $ENV == *eap* ]]; then
        export AWS_ACCESS_KEY_ID=${AWS_ACCESS_KEY_ID_PROD}
        export AWS_SECRET_ACCESS_KEY=${AWS_SECRET_ACCESS_KEY_PROD}
        export AWS_DEFAULT_REGION=${AWS_DEFAULT_REGION_PROD:-${AWS_DEFAULT_REGION}}
    fi
fi
