#!/usr/bin/env bash
set -e
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source $(pwd)/config/configuration
source /deployment/deploy/helpers/run_command.sh
source /deployment/deploy/helpers/print_line.sh
source /deployment/deploy/helpers/deploy_stages.sh

CLUSTER="$ENV-gateway-ecs"

export MANUAL_TF_SERVICE=${MANUAL_TF_SERVICE:-}

#############################################################################################################
########################################## INITIALIZING MANUAL TERRAFORM  ###################################
#############################################################################################################
init_manual_infra

#############################################################################################################
##########################################     APPLY MANUAL TERRAFORM  ######################################
#############################################################################################################
create_manual_infra